Error getting tags :
error 404Error getting tags :
error 404 revSetSpeechProvider | revDocs | RunRev
Welcome Guest (Log in)
Product Edition
Version
revSetSpeechProvider
Basics
Expander triangle
Type
Command
Syntax

revSetSpeechProvider speechProvider

Introduced
2.8.1
Environment
Desktop, Web and Server
Platform Support
Mac OS X,Windows
Security
None required
Summary
The speechProvider is either "sapi4", "sapi5" or "speechmanager", or empty for the default.
Examples

revSetSpeechProvider "speechmanager"
revSetSpeechProvider "sapi5"

Additional Comments
Expander triangle

Sets the API that Revolution uses to speak. SAPI4 and SAPI5 are only supported on Windows. SpeechManager is only supported on OS X. This command will not return anything in the result. If an invalid API is specified, the default API for the currrent platform will be used.

The default is speechManager on OS X and SAPI5 on Windows (falling back to SAPI4 if SAPI5 is not supported).

Changes to the speech provider will take affect straight away if the speech library was not loaded (i.e. nothing has been spoken), otherwise they will not take affect until the speech library is reloaded using the revUnloadSpeech command followed by the revLoadSpeech command. If the specified speech provider cannot be loaded then the revLoadSpeech command will return "sperr, unable to load speech provider" in the result.

User Comments
Expander triangle